paymentlibsaferpay gibt fehlermeldung

  • npre npre
    Jedi-Ritter
    0 x
    131 Beiträge
    0 Hilfreiche Beiträge
    24. 06. 2009, 16:15

    hallo,

    habe tt_products installiert und wollte mir saferpay als zahlungsmethode installieren. nach der installation kommt folgende fehlermeldung:

    [TS]Fatal error: Class tx_paymentlibsaferpay_provider contains 2 abstract methods and must therefore be declared abstract or implement the remaining methods (tx_paymentlib_provider::transaction_setOkPage, tx_paymentlib_provider::transaction_setErrorPage) in /home/ab11acad/public_html/ordner/typo/typo3conf/ext/paymentlib_saferpay/class.tx_paymentlibsaferpay_provider.php on line 502
    [/TS]

    weiß jemand, was es da hat?


  • 1
  • Flink Flink
    Jedi-General
    0 x
    1663 Beiträge
    0 Hilfreiche Beiträge
    26. 06. 2009, 08:00

    [quote="npre"]
    weiß jemand, was es da hat?
    [/quote]

    Das ist eine falsche Kombination der Versionen der paymentlib mit der Version von paymentlib_saferpay. Am besten es mit einer älteren Version der paymentlib versuchen.

  • npre npre
    Jedi-Ritter
    0 x
    131 Beiträge
    0 Hilfreiche Beiträge
    26. 06. 2009, 08:04

    danke für die info! wo krieg ich eine ältere version von paymentlib her? ich habe paymentlib 0.3.0 und paymentlib_saferpay 0.0.2

  • Flink Flink
    Jedi-General
    0 x
    1663 Beiträge
    0 Hilfreiche Beiträge
    27. 06. 2009, 17:39

    [quote="npre"]
    danke für die info! wo krieg ich eine ältere version von paymentlib her? ich habe paymentlib 0.3.0
    [/quote]
    Die kann man über den Extension Manager aus dem TYPO3 TER herunterladen.

  • 1